DCONS_CROM(4)

NAME
dcons_crom - Configuration ROM stub for dcons(4)

SYNOPSIS
device dcons_crom
device dcons
device firewire

DESCRIPTION
The dcons_crom exposes the buffer address of dcons(4) through the Configuration ROM of firewire(4). This address is supposed to be used by dconschat(8).

SEE ALSO
dcons(4), firewire(4), fwohci(4), dconschat(8), fwcontrol(8)

AUTHORS
Hidetoshi Shimokawa <simokawa@FreeBSD.org>

BUGS
If you load dcons_crom.ko manually after the system is booted, you may have to initiate a bus reset using “fwcontrol -r” to update the Configuration ROM.